Alembic: Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader Class Referenceabstract

`#include <CompoundPropertyReader.h>`

Inheritance diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader:

## Public Member Functions
virtual | ~CompoundPropertyReader ()
virtual size_t | getNumProperties ()=0
virtual const PropertyHeader & | getPropertyHeader (size_t i)=0
virtual const PropertyHeader * | getPropertyHeader (const std::string &iName)=0
virtual ScalarPropertyReaderPtr | getScalarProperty (const std::string &iName)=0
virtual ArrayPropertyReaderPtr | getArrayProperty (const std::string &iName)=0
virtual CompoundPropertyReaderPtr | getCompoundProperty (const std::string &iName)=0
BasePropertyReaderPtr | getProperty (const std::string &iName)
ScalarPropertyReaderPtr | getScalarProperty (size_t i)
ArrayPropertyReaderPtr | getArrayProperty (size_t i)
CompoundPropertyReaderPtr | getCompoundProperty (size_t i)
BasePropertyReaderPtr | getProperty (size_t i)
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader
virtual | ~BasePropertyReader ()
virtual const PropertyHeader & | getHeader () const =0
const std::string & | getName () const
PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const MetaData & | getMetaData () const
const DataType & | getDataType () const
TimeSamplingPtr | getTimeSampling () const
virtual ObjectReaderPtr | getObject ()=0
virtual CompoundPropertyReaderPtr | getParent ()=0
virtual ScalarPropertyReaderPtr | asScalarPtr ()
virtual ArrayPropertyReaderPtr | asArrayPtr ()
virtual CompoundPropertyReaderPtr | asCompoundPtr ()

## Detailed Description

A CompoundProperty is a group of other properties, possibly Simple or possibly Compound. Every object has at one of these.

## Constructor & Destructor Documentation

## ◆ ~CompoundPropertyReader()

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader::~CompoundPropertyReader | ( |  | ) |
| virtual

Virtual destructor ...

## Member Function Documentation

## ◆ getArrayProperty() [1/2]

virtual ArrayPropertyReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader::getArrayProperty | ( | const std::string & | iName | ) |
| pure virtual

Get a Array Property by name.. It will return an empty pointer if the property is not array or is not found.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprImpl.

## ◆ getArrayProperty() [2/2]

ArrayPropertyReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader::getArrayProperty | ( | size_t | i | ) |

Get a Array Property by index. It will return an empty pointer if the property is not array or is not found. This is convenience function that uses the above functions to get the answer.

## ◆ getCompoundProperty() [1/2]

virtual CompoundPropertyReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader::getCompoundProperty | ( | const std::string & | iName | ) |
| pure virtual

Get a Compound Property by name.. It will return an empty pointer if the property is not compound or is not found.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprImpl.

## ◆ getCompoundProperty() [2/2]

CompoundPropertyReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader::getCompoundProperty | ( | size_t | i | ) |

Get a Compound Property by index. It will return an empty pointer if the property is not compound or is not found. This is convenience function that uses the above functions to get the answer.

## ◆ getNumProperties()

virtual size_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader::getNumProperties | ( |  | ) |
| pure virtual

Returns the number of properties read from the file ...

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprImpl.

## ◆ getProperty() [1/2]

BasePropertyReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader::getProperty | ( | const std::string & | iName | ) |

Get a base property by name. That property can be safely upcast. This is a convenience function that uses getPropertyHeader and the various named "get" functions here.

## ◆ getProperty() [2/2]

BasePropertyReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader::getProperty | ( | size_t | i | ) |

Get a base property by index. It is an error to call with out-of-range indices. This is a convenience function that uses getPropertyHeader and the various named "get" functions here.

## ◆ getPropertyHeader() [1/2]

virtual const PropertyHeader * Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader::getPropertyHeader | ( | const std::string & | iName | ) |
| pure virtual

Return the header of a property name. This will return a NULL pointer if no header by that name is found.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprImpl.

## ◆ getPropertyHeader() [2/2]

virtual const PropertyHeader & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader::getPropertyHeader | ( | size_t | i | ) |
| pure virtual

Return the header of a property by index. This will throw an exception on out-of-range access.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprImpl.

## ◆ getScalarProperty() [1/2]

virtual ScalarPropertyReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader::getScalarProperty | ( | const std::string & | iName | ) |
| pure virtual

Get a Scalar Property by name.. It will return an empty pointer if the property is not scalar or is not found.

Implemented in Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CprImpl, Alembic::AbcCoreLayer::ALEMBIC_VERSION_NS::CprImpl, and Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CprImpl.

## ◆ getScalarProperty() [2/2]

ScalarPropertyReaderPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::CompoundPropertyReader::getScalarProperty | ( | size_t | i | ) |

Get a Scalar Property by index. It will return an empty pointer if the property is not scalar or is not found. This is convenience function that uses the above functions to get the answer.

The documentation for this class was generated from the following files:

- AbcCoreAbstract/CompoundPropertyReader.h
- AbcCoreAbstract/CompoundPropertyReader.cpp